org.springframework.messaging.support

## Interface MessageHandlingRunnable

All Superinterfaces:
  Runnable

    public interface MessageHandlingRunnable
    extends Runnable

Extension of the `Runnable` interface with methods to obtain the `MessageHandler` and `Message` to be handled.

Since:
  4.1.1
Author:
  Rossen Stoyanchev

### Method Summary

All Methods Instance Methods Abstract Methods
`Message<?>` `getMessage()` Return the Message that will be handled.
`MessageHandler` `getMessageHandler()` Return the MessageHandler that will be used to handle the message.

### Methods inherited from interface java.lang.Runnable

`run`

### Method Detail

#### getMessage

    Message<?> getMessage()

Return the Message that will be handled.

#### getMessageHandler

    MessageHandler getMessageHandler()

Return the MessageHandler that will be used to handle the message.